package com.ruoyi.demo.service;

import com.github.pagehelper.PageInfo;
import com.ruoyi.demo.entity.Statistics;
import com.ruoyi.demo.entity.bo.PlanBo;
import com.ruoyi.demo.entity.bo.StatisticsAddBo;
import com.ruoyi.demo.entity.vo.PlanHomeVo;
import com.ruoyi.demo.entity.vo.ScanListVo;

import java.util.List;

public interface StatisticsService {
    PageInfo<List<ScanListVo>> getScanList(PlanBo bo);
    PlanHomeVo getScanTotal();

    String getSign(StatisticsAddBo bo);
    int add(StatisticsAddBo bo);
}
